@import "../../../assets/scss/global.scss";

.input-text-field {
    .input-group {
        position: relative;
        border: 1px solid #E8ECEE;
        border-radius: 12px;
        overflow: hidden;
        height: 174px;

        &:focus-within {
            border-color: $secondary-color;
        }

        textarea {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            border-radius: 10px;
            box-sizing: border-box;
            padding: 16px;
            resize: none;
            color: #202226;
            font-weight: 500;
            font-size: 15px;
            line-height: 22px;
            border: 0;
            outline: none;

            &.has-icon-left {
                padding-left: 28px;
            }
            &.has-icon-right {
                padding-right: 28px;
            }
            &.has-data{
                top: 10px;
            }
        }
        .label {
            position: absolute;
            pointer-events: none;
            top: 27px;
            left: 0;
            transform: translateY(-50%);
            padding-left: 16px;
            font-size: 1.4rem;
            transition: all .2s ease-in-out;
            width: 100%;
            background: #FFFFFF;
            color: #374352;
            font-weight: 500;

            &.has-data {
                color: $secondary-color;
                top: 16px;
                visibility: visible;
                font-size: 1.2rem;
            }
        }

        .count {
            position: absolute;
            bottom: 0;
            right: 0;
            font-size: 12px;
            line-height: 24px;
            color: $grey-color;
            text-align: right;
            padding-right: 12px;
        }

        .icon-left {
            position: absolute;
            top: 9px;
            left: 4px;
            width: 20px;
        }
        .icon-right {
            position: absolute;
            top: 9px;
            right: 4px;
            width: 20px;
        }
    }

    &.error {
        .input-group{
            border-color: #F82626 !important;
        }

        .feedback {
            color: #F82626;
            font-size: 10px;
            line-height: 16px;
            margin-left: 15px;
        }
    }
}
